netatalk: AFPObj Struct Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
AFPObj Struct Reference

`#include <globals.h>`

## Data Fields
char * | cmdlineconfigfile
int | cmdlineflags
int | proto
const void * | signature
struct DSI * | dsi
void * | handle
int | fd
int | statuslen
char | aspstatus [1400]
struct afp_options | options
char * | Obj
char * | Type
char * | Zone
dictionary * | iniconfig
char | username [MAXUSERLEN]
char | oldtmp [AFPOBJ_TMPSIZ+1]
char | newtmp [AFPOBJ_TMPSIZ+1]
void * | uam_cookie
struct session_info | sinfo
uid_t | uid
uid_t | euid
pid_t | pid
int | ipc_fd
int | hint_fd
gid_t * | groups
int | ngroups
int | afp_version
int | cnx_cnt
int | cnx_max
void(* | logout )(void)
void(* | exit )(int)
int(* | reply )(void *, int)
int(* | attention )(void *, AFPUserBytes)
void * | sl_ctx

## Field Documentation

## ◆ afp_version

int AFPObj::afp_version

## ◆ aspstatus

char AFPObj::aspstatus[1400]

## ◆ attention

int(* AFPObj::attention) (void *, AFPUserBytes)

## ◆ cmdlineconfigfile

char* AFPObj::cmdlineconfigfile

## ◆ cmdlineflags

int AFPObj::cmdlineflags

## ◆ cnx_cnt

int AFPObj::cnx_cnt

## ◆ cnx_max

int AFPObj::cnx_max

## ◆ dsi

struct DSI* AFPObj::dsi

## ◆ euid

uid_t AFPObj::euid

client effective process user id

## ◆ exit

void(* AFPObj::exit) (int)

## ◆ fd

int AFPObj::fd

## ◆ groups

gid_t* AFPObj::groups

## ◆ handle

void* AFPObj::handle

## ◆ hint_fd

int AFPObj::hint_fd

pipe read/child end for receiving cache hints from parent

## ◆ iniconfig

dictionary* AFPObj::iniconfig

## ◆ ipc_fd

int AFPObj::ipc_fd

anonymous PF_UNIX socket for IPC with afpd parent

## ◆ logout

void(* AFPObj::logout) (void)

## ◆ newtmp

char AFPObj::newtmp[AFPOBJ_TMPSIZ+1]

## ◆ ngroups

int AFPObj::ngroups

## ◆ Obj

char* AFPObj::Obj

## ◆ oldtmp

char AFPObj::oldtmp[AFPOBJ_TMPSIZ+1]

## ◆ options

struct afp_options AFPObj::options

## ◆ pid

pid_t AFPObj::pid

client process id

## ◆ proto

int AFPObj::proto

## ◆ reply

int(* AFPObj::reply) (void *, int)

## ◆ signature

const void* AFPObj::signature

## ◆ sinfo

struct session_info AFPObj::sinfo

## ◆ sl_ctx

void* AFPObj::sl_ctx

opaque handle for the active search backend

## ◆ statuslen

int AFPObj::statuslen

## ◆ Type

char * AFPObj::Type

## ◆ uam_cookie

void* AFPObj::uam_cookie

cookie for uams

## ◆ uid

uid_t AFPObj::uid

client login user id

## ◆ username

char AFPObj::username[MAXUSERLEN]

## ◆ Zone

char * AFPObj::Zone

The documentation for this struct was generated from the following file:

- globals.h